#include <allegro.h>

#ifndef CMAIN_HPP
#define CMAIN_HPP

extern int key_space;
extern int key_rctrl;
extern int key_lctrl;

// Defs
typedef unsigned char	BYTE;
typedef unsigned int	DWORD;
typedef unsigned short	WORD;
typedef unsigned int	BOOL;

typedef unsigned char 	byte;
typedef unsigned int 	dword;
typedef unsigned short 	word;

// Classes
class CApp
{
public:
        CApp();
        ~CApp();

        int Intro();
        
        bool done;
        
        int selected_pc;
        
        int timer;

};
extern CApp App;

void ResetTimers();

extern BITMAP *text_box;
extern BITMAP *game_objects;

// Functions
void exit_callback();
void SetTimers(void);
void SetTimers(int speed);

extern volatile int speed_counter;

// TODO: Shouldn't have these as macros
#define LOG(x) allegro_message(x);
#define LOGv(x,y) allegro_message(x, y);

#endif
